org.apache.ignite.spi.tracing

## Class TracingConfigurationCoordinates.Builder

- java.lang.Object
- - org.apache.ignite.spi.tracing.TracingConfigurationCoordinates.Builder

Enclosing class:
  TracingConfigurationCoordinates

    public static class TracingConfigurationCoordinates.Builder
    extends Object

`TracingConfigurationCoordinates` builder.

### Constructor Summary

Constructors
Constructor and Description
`Builder(Scope scope)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`TracingConfigurationCoordinates` `build()` Builder's build() method.
`@NotNull TracingConfigurationCoordinates.Builder` `withLabel(@Nullable String lb)` Builder method that allows to set optional label attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(Scope scope)

Constructor.

Parameters:
  `scope` - Mandatory scope attribute.
Throws:
  `IllegalArgumentException` - if null scope is specified.

### Method Detail

#### withLabel

    @NotNull
    public @NotNull TracingConfigurationCoordinates.Builder withLabel(@Nullable
                                                                               @Nullable String lb)

Builder method that allows to set optional label attribute.

Parameters:
  `lb` - Label of traced operation. It's an optional attribute.
Returns:
  Current `TracingConfigurationCoordinates` instance.

#### build

    public TracingConfigurationCoordinates build()

Builder's build() method.

Returns:
  `TracingConfigurationCoordinates` instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020